> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaalchakra.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /panchang/current_week

> Returns this week's panchang



## OpenAPI

````yaml api-reference/openapi.json get /panchang/current_week
openapi: 3.1.0
info:
  title: Kaalchakra REST API
  description: Kaalchakra REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kaalchakra.dev/v1
security: []
paths:
  /panchang/current_week:
    get:
      summary: GET /panchang/current_week
      description: Returns this week's panchang
      parameters:
        - name: auth
          in: query
          required: true
          description: API key token.
          schema:
            type: string
            example: kk-prod-my-token
        - name: language
          in: query
          required: false
          description: >-
            Language used to populate `localized_name` fields. If not set, the
            value of `localized_name` fields is `null`.


            Possible values: `"hi"` (Hindi), `"bn"` (Bengali)
          schema:
            type: string
            example: hi
        - name: time_zone
          in: query
          required: false
          description: >-
            Client time zone. If `time_zone` is not set, the client time zone is
            assumed to be `Asia/Kolkata`.
          schema:
            type: string
            example: America/Los_Angeles
      responses:
        '200':
          description: 200 Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanchangList'
                type: array
        '400':
          description: 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '403':
          description: 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '429':
          description: 429 Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    PanchangList:
      type: array
      description: asdf
      items:
        $ref: '#/components/schemas/Panchang'
    BadRequestError:
      required:
        - status
        - error
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 400
        error:
          type: string
          example: >-
            Localization disallowed. Purchase a subscription to enable
            localization.
    ForbiddenError:
      required:
        - status
        - error
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 403
        error:
          type: string
          example: Forbidden
    TooManyRequestsError:
      required:
        - status
        - error
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 429
        error:
          type: string
          example: Too Many Requests
    Panchang:
      type: object
      required:
        - angas
        - gregorian_calendar_date
        - holidays_and_observances
        - islamic_calendar_date
        - lagna
        - moon_age_days
        - paksha
        - rashis
        - saka_era_calendar_date
        - bengali_calendar_date
      properties:
        angas:
          $ref: '#/components/schemas/Angas'
          type: object
        paksha:
          $ref: '#/components/schemas/Paksha'
          type: object
        lagna:
          $ref: '#/components/schemas/Lagna'
          type: object
        rashis:
          $ref: '#/components/schemas/RashiList'
          type: array
          example:
            - name: Mina
              localized_name: मीन
              ends_at: '2025-09-10T16:02:00.000+05:30'
            - name: Mesha
              localized_name: मेष
              ends_at: null
        moon_age_days:
          description: Days since most recent new moon.
          type: number
          format: float
          example: 17.8
        saka_era_calendar_date:
          description: Date according to the Saka Era calendar system.
          type: object
          required:
            - day
            - month
            - year
          properties:
            day:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 19
            month:
              type: object
              required:
                - name
                - localized_name
                - number
              properties:
                name:
                  type: string
                  example: Bhadra
                localized_name:
                  type: string
                  example: भाद्रपद
                  nullable: true
                number:
                  type: number
                  example: 6
            year:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 1947
        gregorian_calendar_date:
          type: object
          description: Date according to the Gregorian calendar system.
          required:
            - day
            - month
            - year
          properties:
            day:
              type: object
              required:
                - name
                - localized_name
                - number
              properties:
                name:
                  type: string
                  example: Wednesday
                localized_name:
                  description: Localized weekday name.
                  type: string
                  example: सौम्यवासर
                number:
                  type: number
                  example: 10
            month:
              type: object
              required:
                - name
                - localized_name
                - number
              properties:
                name:
                  type: string
                  example: September
                localized_name:
                  type: string
                  example: सितंबर
                number:
                  type: number
                  example: 9
            year:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 2025
        bengali_calendar_date:
          type: object
          description: Date according to the Bengali, or Bangla, calendar system.
          required:
            - day
            - month
            - year
          properties:
            day:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 24
            month:
              type: object
              required:
                - name
                - localized_name
                - number
              properties:
                name:
                  type: string
                  example: Bhadra
                localized_name:
                  type: string
                  example: भाद्रपद
                  nullable: true
                number:
                  type: number
                  example: 5
            year:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 1432
        islamic_calendar_date:
          type: object
          description: Date according to the Islamic calendar system.
          required:
            - day
            - month
            - year
          properties:
            day:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 17
            month:
              type: object
              required:
                - name
                - localized_name
                - number
              properties:
                name:
                  type: string
                  example: Rabi al-Awwal
                localized_name:
                  type: string
                  example: रबी-उल-अव्वल
                  nullable: true
                number:
                  type: number
                  example: 3
            year:
              type: object
              required:
                - number
              properties:
                number:
                  type: number
                  example: 1447
        holidays_and_observances:
          type: array
          description: Holidays and observances in India today.
          items:
            $ref: '#/components/schemas/HolidayOrObservance'
          example:
            - name: Eid-e-Milad-un-Nabi
              community: Muslim
    Angas:
      type: object
      description: |-
        The five components of time in Hindu timekeeping and astrology:

         Vara — वार — Weekday
         Tithi — तिथि — Lunar day
         Karana — करण — Half lunar day
         Nakshatra — नक्षत्र— Lunar mansion
         Yoga — योग — Relative positions of the planets at sunrise
      required:
        - karanas
        - nakshatras
        - tithis
        - vara
        - yogas
      properties:
        vara:
          $ref: '#/components/schemas/Vara'
        tithis:
          type: array
          items:
            $ref: '#/components/schemas/Tithi'
        karanas:
          type: array
          items:
            $ref: '#/components/schemas/Karana'
          example:
            - name: Vishti
              localized_name: विष्टि
              ends_at: '2025-09-10T15:39:00.000+05:30'
            - name: Bava
              localized_name: बव
              ends_at: '2025-09-11T02:12:00.000+05:30'
        nakshatras:
          type: array
          items:
            $ref: '#/components/schemas/Nakshatra'
        yogas:
          type: array
          items:
            $ref: '#/components/schemas/Yoga'
    Paksha:
      description: |-
        Lunar fortnight:

         Shukla — शुक्ल — Waxing moon
         Krishna — कृष्ण — Waning moon
      type: object
      required:
        - name
        - localized_name
      properties:
        name:
          type: string
          example: Krishna
        localized_name:
          type: string
          example: कृष्ण
          nullable: true
    Lagna:
      type: object
      description: Zodiac sign of the constellation rising on the eastern horizon.
      required:
        - name
        - localized_name
      properties:
        name:
          type: string
          example: Kanya
        localized_name:
          type: string
          example: कन्या
          nullable: true
    RashiList:
      type: array
      description: Zodiac signs of the constellation in which the moon is located today.
      items:
        $ref: '#/components/schemas/Rashi'
    HolidayOrObservance:
      type: object
      required:
        - name
        - community
      properties:
        name:
          description: Name of holiday or day of observance.
          type: string
          example: Eid-e-Milad-un-Nabi
        community:
          description: Name of community to whom observance is significant.
          type: string
          example: Muslim
    Vara:
      type: object
      description: Weekday
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          description: Vara name.
          type: string
          example: Saumyavasara
        localized_name:
          description: Localized vara name.
          type: string
          example: सौम्यवासर
          nullable: true
        ends_at:
          description: Datetime at which vara ends.
          type: string
          format: date-time
          example: '2025-09-10T23:59:59.999+05:30'
    Tithi:
      type: object
      description: Lunar day
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          description: Tithi name.
          type: string
          example: Tritiya
        localized_name:
          description: Localized tithi name.
          type: string
          example: तृतीया
          nullable: true
        ends_at:
          description: Datetime at which lunar day ends.
          type: string
          format: date-time
          example: '2025-09-10T15:39:00.000+05:30'
    Karana:
      type: object
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          description: Karana name.
          type: string
          example: Vishti
        localized_name:
          description: Localized karana name.
          type: string
          example: विष्टि
          nullable: true
        ends_at:
          description: Datetime at which karana ends.
          type: string
          format: date-time
          example: '2025-09-10T15:39:00.000+05:30'
    Nakshatra:
      type: object
      description: Lunar mansion
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          description: Nakshatra name.
          type: string
          example: Revati
        localized_name:
          description: Localized nakshatra name.
          type: string
          example: रेवती
          nullable: true
        ends_at:
          description: Datetime at which nakshatra ends.
          type: string
          format: date-time
          example: '2025-09-10T16:03:00.000+05:30'
    Yoga:
      type: object
      description: Relative longitudinal positions of the sun and moon
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          description: Yoga name.
          type: string
          example: Vriddhi
        localized_name:
          description: Localized yoga name.
          type: string
          example: वृद्धि
          nullable: true
        ends_at:
          description: Datetime at which yoga ends.
          type: string
          format: date-time
          example: '2025-09-10T20:32:00.000+05:30'
    Rashi:
      type: object
      description: Zodiac sign of the constellation in which the moon is currently located.
      required:
        - name
        - localized_name
        - ends_at
      properties:
        name:
          type: string
          example: Mina
        localized_name:
          type: string
          example: मीन
          nullable: true
        ends_at:
          type:
            - string
            - 'null'
          example: '2025-09-10T16:02:00.000+05:30'

````